1. Guest, as per the stickied thread, this forum has not been in use since 2014. All bugs and feature requests should be posted to JIRA.

Crash What this can be?

Discussion in 'Bugs & Feature Requests' started by Mateus Dias, Sep 22, 2013.

  1. 2013-09-21 20:29:40 [WARNING] An exceptionCaught() event was fired, and it reached at the tail of the pipeline. It usually means the last handler in the pipeline did not handle the exception.
    java.io.IOException: Too many open files
    at sun.nio.ch.ServerSocketChannelImpl.accept0(Native Method)
    at sun.nio.ch.ServerSocketChannelImpl.accept(Unknown Source)
    at io.netty.channel.socket.nio.NioServerSocketChannel.doReadMessages(NioServerSocketChannel.java:111)
    at io.netty.channel.nio.AbstractNioMessageChannel$NioMessageUnsafe.read(AbstractNioMessageChannel.java:68)
    at io.netty.channel.nio.NioEventLoop.processSelectedKey(NioEventLoop.java:489)
    at io.netty.channel.nio.NioEventLoop.processSelectedKeysOptimized(NioEventLoop.java:464)
    at io.netty.channel.nio.NioEventLoop.run(NioEventLoop.java:358)
    at io.netty.util.concurrent.SingleThreadEventExecutor$2.run(SingleThreadEventExecutor.java:101)
    at java.lang.Thread.run(Unknown Source)

    ---------
    Is not a "Too many open files" because if i use craftbukkit i don't have this problem.
    I use spigot since February and i have never got this problem, the problem starts in 4 of September at spigot b 933, i testes until spigot 964 and the problem persist. I try craftbukkit and don't have crashed anymore...
     
  2. #964 is really outdated, time to update?
     
    • Agree Agree x 1
  3. Hawx my server is still 1.5.2 and i can not upgrade. the problem was at netty in spigot.yml now i put netty-threads: 36 and works. =D
     
  4. Interesting. May I ask why you cannot upgrade?